<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2009 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
  
  ********************************************
  Coppermine version: 1.4.24
  $HeadURL: https://coppermine.svn.sourceforge.net/svnroot/coppermine/trunk/cpg1.4.x/themes/water_drop/theme.php $
  $Revision: 5969 $
  $Author: gaugau $
  $Date: 2009-05-21 22:03:33 +0200 (Do, 21 Mai 2009) $
**********************************************/

define('THEME_IS_XHTML10_TRANSITIONAL',1); // Remove this if you edit this template until
                                           // you have validated it. See docs/theme.htm.
global $CONFIG;
if (file_exists("./themes/water_drop/lang/{$USER['lang']}.php")) {
 	require "./themes/water_drop/lang/{$USER['lang']}.php";
} 
else {
	require "./themes/water_drop/lang/english.php";
}
// HTML template for main menu
$template_sys_menu = <<<EOT
                
<div class="wireframemenu">

<p><h1 class="h1_wireframemenu">{$lang_water_drop['gal_menu']}</h1></p>   

<!-- BEGIN home -->
                       <p><a href="{HOME_TGT}" title="{HOME_TITLE}">» {HOME_LNK}</a></p>
<!-- END home -->

<!-- BEGIN my_gallery -->
                       <p><a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}">» {MY_GAL_LNK}</a></p>
<!-- END my_gallery -->

<!-- BEGIN allow_memberlist -->
                        <p><a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}">» {MEMBERLIST_LNK}</a></p>
<!-- END allow_memberlist -->

<!-- BEGIN my_profile -->
                        <p><a href="{MY_PROF_TGT}">» {MY_PROF_LNK}</a></p>
<!-- END my_profile -->

<!-- BEGIN faq -->
                        <p><a href="{FAQ_TGT}" title="{FAQ_TITLE}">» {FAQ_LNK}</a></p>
<!-- END faq -->

<!-- BEGIN enter_admin_mode -->
                        <p><a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}">» {ADM_MODE_LNK}</a></p>
<!-- END enter_admin_mode -->

<!-- BEGIN leave_admin_mode -->
                       <p><a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}">» {USR_MODE_LNK}</a></p>
<!-- END leave_admin_mode -->

<!-- BEGIN upload_pic -->
                     <p><a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}">» {UPL_PIC_LNK}</a></p>
<!-- END upload_pic -->

<!-- BEGIN register -->
                       <p><a href="{REGISTER_TGT}" title="{REGISTER_TITLE}">» {REGISTER_LNK}</a></p>
<!-- END register -->

<!-- BEGIN login -->
                        <p><a href="{LOGIN_TGT}" title="">» {LOGIN_LNK}</a></p>
<!-- END login -->

<!-- BEGIN logout -->
                        <p><a href="{LOGOUT_TGT}" title="">» {LOGOUT_LNK}</a></p>
<!-- END logout -->
</div>
EOT;
  
// HTML template for sub_menu
$template_sub_menu = <<<EOT

<div class="wireframemenu">
<!-- BEGIN custom_link -->
     <p><a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}">» {CUSTOM_LNK_LNK}</a></p>
<!-- END custom_link -->

<p><a href="location_map.php">» {$lang_water_drop['location_map']}</a></p>

<!-- BEGIN album_list -->
    <p><a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">» {ALB_LIST_LNK}</a></p>
<!-- END album_list -->
<p><a href="{LASTUP_TGT}">» {LASTUP_LNK}</a></p>
<p><a href="{LASTCOM_TGT}">» {LASTCOM_LNK}</a></p>
<p><a href="{TOPN_TGT}">» {TOPN_LNK}</a></p>
<p><a href="{TOPRATED_TGT}">» {TOPRATED_LNK}</a></p>
<p><a href="{FAV_TGT}">» {FAV_LNK}</a></p>
<p><a href="{SEARCH_TGT}">» {SEARCH_LNK}</a></p>
</div>
<hr />
<div class="wireframemenu">
<p><h1 class="h1_wireframemenu">{$lang_water_drop['friends']}</h1></p>
<p><a href="http://www.avatar-bg.org">www.avatar-bg.org</a></p>
<p><a href="http://www.party-bg.net/">www.party-bg.net</a></p>
<p><a href="http://www.w3schools.com/"><img src="http://www.w3schools.com/images/w3schools88x31.gif" border="0" alt="" /></a></p>
<p><a href="http://www.htmldog.com/"><img src="http://www.htmldog.com/badge3.gif" width="88" height="31" border="0" alt="HTML and CSS tutorials, references, and articles" /></a></p>
</div>
EOT;

// HTML template for filmstrip display
$template_film_strip = <<<EOT
<tr><td>
	<table width="100%" cellspacing="0" cellpadding="0">			
		<tr>
		<td valign="top" style="background-image: url({TILE1});"><img src="{TILE1}" alt="" border="0" /></td>
		<td>
         	{THUMB_STRIP}
		</td> 
		<td valign="top" style="background-image: url({TILE2});"><img src="{TILE2}" alt="" border="0" /></td>
        	</tr>
	</table>
</td></tr>
	
<!-- BEGIN thumb_cell -->
			<table width="100%" cellspacing="0" cellpadding="0">
			<tr>
				<td align="center" valign="bottom">
				<a href="{LINK_TGT}">{THUMB}</a>
				</td>
			</tr>
			</table>
			{CAPTION}
			{ADMIN_MENU}
<!-- END thumb_cell -->
<!-- BEGIN empty_cell -->
                <td valign="top" align="center">&nbsp;</td>
<!-- END empty_cell -->

EOT;


// HTML template for intermediate image display - HS: valign
$template_display_media = <<<EOT
                <td align="center" valign="top" class="display_media" height="{CELL_HEIGHT}" style="white-space: nowrap; padding: 0px;">
                        <table cellspacing="2" cellpadding="0" class="imageborder">
                               <tr>
                                        <td align="center">
                                                {IMAGE}
                                                {ADMIN_MENU}
                                        </td>
                               </tr>
                        </table>
<!-- BEGIN img_desc -->
                        <table cellpadding="0" cellspacing="0" class="tableb">
<!-- BEGIN title -->
                                <tr>
                                        <td class="tableb"><center><b>
                                                {TITLE}
                                        </b></center></td>
                                </tr>
<!-- END title -->
<!-- BEGIN caption -->
                                <tr>
                                        <td class="tableb"><center>
                                                {CAPTION}
                                        </center></td>
                                </tr>
<!-- END caption -->
                        </table>
<!-- END img_desc -->
                </td>
EOT;

// Added to display film_strip
function theme_display_film_strip(&$thumb_list, $nbThumb, $album_name, $aid, $cat, $pos, $sort_options, $mode = 'thumb')
{
    global $CONFIG, $THEME_DIR;
    global $template_film_strip, $lang_film_strip;

    static $template = '';
    static $thumb_cell = '';
    static $empty_cell = '';
    static $spacer = '';

    if ((!$template)) {
        $template = $template_film_strip;
        $thumb_cell = template_extract_block($template, 'thumb_cell');
        $empty_cell = template_extract_block($template, 'empty_cell');
    }

    $cat_link = is_numeric($aid) ? '' : '&cat=' . $cat;

    $thumbcols = $CONFIG['thumbcols'];
    $cell_width = ceil(100 / $CONFIG['max_film_strip_items']) . '%';

    $i = 0;
    $thumb_strip = '';
    foreach($thumb_list as $thumb) {
        $i++;
        if ($mode == 'thumb') {
            $params = array('{CELL_WIDTH}' => $cell_width,
                '{LINK_TGT}' => "displayimage.php?album=$aid$cat_link&pos={$thumb['pos']}",
                '{THUMB}' => $thumb['image'],
                '{CAPTION}' => '',
                '{ADMIN_MENU}' => ''
                );
        } else {
            $params = array('{CELL_WIDTH}' => $cell_width,
                '{LINK_TGT}' => "index.php?cat={$thumb['cat']}",
                '{THUMB}' => $thumb['image'],
                '{CAPTION}' => '',
                '{ADMIN_MENU}' => ''
                );
        }
        $thumb_strip .= template_eval($thumb_cell, $params);
    }

    if (defined('THEME_HAS_FILM_STRIP_GRAPHICS')) {
        $tile1 = $THEME_DIR . 'images/tile1.gif';
        $tile2 = $THEME_DIR . 'images/tile2.gif';
    } elseif (defined('THEME_HAS_FILM_STRIP_GRAPHIC')) {
        $tile1=$tile2=$THEME_DIR . 'images/tile.gif';
    } else {
        $tile1=$tile2= 'images/tile.gif';
    }

    $params = array('{THUMB_STRIP}' => $thumb_strip,
        '{COLS}' => $i,
        '{TILE1}' => $tile1,
        '{TILE2}' => $tile2,
        );

    ob_start();
    starttable('');
      echo template_eval($template, $params);
    endtable();
    $film_strip = ob_get_contents();
    ob_end_clean();

    return $film_strip;
}

function theme_display_image($nav_menu, $picture, $votes, $pic_info, $comments, $film_strip)
{
    global $HTTP_COOKIE_VARS, $CONFIG;

    starttable();
	    echo $nav_menu;
    endtable();

    starttable();
    echo $picture;
    if ($CONFIG['display_film_strip'] == 1) {
    echo "<td width='130' class='tableb' valign='right' >";
        echo $film_strip;
    }
    endtable();

    starttable();
    	echo $votes;
    endtable();

    $picinfo = isset($HTTP_COOKIE_VARS['picinfo']) ? $HTTP_COOKIE_VARS['picinfo'] : ($CONFIG['display_pic_info'] ? 'block' : 'none');
    echo "<div id=\"picinfo\" style=\"display: $picinfo;\">\n";
    starttable();
    echo $pic_info;
    endtable();
    echo "</div>\n";

    starttable();
    echo $comments;
    endtable();
}
?>
