/* The name of the frame used in the CSS file that we'll be working with */
	var FRAME_NAME = "frame_scrapbook";


// Function written by lobo235 http://www.netlobo.com/javascript_getelementsbyclassname.html
document.getElementsByClassName = function(clsName){
    var retVal = new Array();
    var elements = document.getElementsByTagName("*");
    for(var i = 0;i < elements.length;i++){
        if(elements[i].className.indexOf(" ") >= 0){
            var classes = elements[i].className.split(" ");
            for(var j = 0;j < classes.length;j++){
                if(classes[j] == clsName)
                    retVal.push(elements[i]);
            }
        }
        else if(elements[i].className == clsName)
            retVal.push(elements[i]);
    }
    return retVal;
}


//cool page loading function by Simon Willison http://simonwillison.net/2004/May/26/addLoadEvent/	
function addLoadEvent(func) {
  var oldonload = window.onload;
  if (typeof window.onload != 'function') {
    window.onload = func;
  } else {
    window.onload = function() {
      if (oldonload) {
        oldonload();
      }
      func();
    }
  }
}

addLoadEvent(insertFramingTags);

function insertFramingTags(){
	var images = document.getElementsByClassName(FRAME_NAME);
	for (var i=0; i<images.length; i++) {
	
		if (images[i].tagName == "IMG"){
		
			// Create a copy of the original image and style up the new one
			var imageOld = images[i];
			var imageNew = imageOld.cloneNode(true);
			
			//Create a new container div for the element

			
			var divObjUpperLeft = document.createElement("div");
			divObjUpperLeft.className = "upper_left";
			
			var divObjUpperRight = document.createElement("div");
			divObjUpperRight.className = "upper_right";
			
			var divObjLowerLeft = document.createElement("div");
			divObjLowerLeft.className = "lower_left";
			
			var divObjLowerRight = document.createElement("div");
			divObjLowerRight.className = "lower_right";
			
			
			//add in the image and frame corners

			divObjParent.appendChild(divObjUpperLeft);
			divObjParent.appendChild(divObjUpperRight);
			divObjParent.appendChild(divObjLowerRight);
			divObjParent.appendChild(divObjLowerLeft);
			
			
			//Remove the old image
			var imageOldParent = imageOld.parentNode;
			imageOldParent.removeChild(imageOld);
			
			//Insert the new one in its place
			imageOldParent.insertBefore(divObjParent, null);
		}
	}

	

}
